import request from '@/utils/request'

// 查询站点留言列表
export function listMessages(query) {
  return request({
    url: '/system/messages/list',
    method: 'get',
    params: query
  })
}

// 查询站点留言详细
export function getMessages(id) {
  return request({
    url: '/system/messages/' + id,
    method: 'get'
  })
}

// 新增站点留言
export function addMessages(data) {
  return request({
    url: '/system/messages',
    method: 'post',
    data: data
  })
}

// 修改站点留言
export function updateMessages(data) {
  return request({
    url: '/system/messages',
    method: 'put',
    data: data
  })
}

// 删除站点留言
export function delMessages(id) {
  return request({
    url: '/system/messages/' + id,
    method: 'delete'
  })
}
